LiVES 2.4.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Data Fields
mt_opts Struct Reference

`#include <multitrack.h>`

## Data Fields
boolean | set
| have we set opts (in mainw) ? More...
boolean | move_effects
| should we move effects attached to a block ? More...
boolean | fx_auto_preview
boolean | snap_over
| snap to overlap More...
lives_mt_grav_mode_t | grav_mode
lives_mt_mouse_mode_t | mouse_mode
lives_mt_insert_mode_t | insert_mode
boolean | show_audio
boolean | show_ctx
boolean | ign_ins_sel
boolean | follow_playback
boolean | insert_audio
| do we insert audio with video ? More...
boolean | pertrack_audio
| do we want pertrack audio ? More...
boolean | audio_bleedthru
| should we allow all audio to bleed thru ? More...
boolean | gang_audio
| gang layer audio volume levels More...
boolean | autocross_audio
| crossfade audio with autotransitions More...
int | back_audio_tracks
| number of backing audio tracks (currently 0 or 1) More...
boolean | render_vidp
| render video More...
boolean | render_audp
| render audio More...
boolean | normalise_audp
| normalise audio More...
LiVESList * | aparam_view_list

## Field Documentation

LiVESList* mt_opts::aparam_view_list

boolean mt_opts::audio_bleedthru

should we allow all audio to bleed thru ?

boolean mt_opts::autocross_audio

crossfade audio with autotransitions

int mt_opts::back_audio_tracks

number of backing audio tracks (currently 0 or 1)

boolean mt_opts::follow_playback

boolean mt_opts::fx_auto_preview

boolean mt_opts::gang_audio

gang layer audio volume levels

lives_mt_grav_mode_t mt_opts::grav_mode

boolean mt_opts::ign_ins_sel

boolean mt_opts::insert_audio

do we insert audio with video ?

lives_mt_insert_mode_t mt_opts::insert_mode

lives_mt_mouse_mode_t mt_opts::mouse_mode

boolean mt_opts::move_effects

should we move effects attached to a block ?

boolean mt_opts::normalise_audp

normalise audio

boolean mt_opts::pertrack_audio

do we want pertrack audio ?

boolean mt_opts::render_audp

render audio

boolean mt_opts::render_vidp

render video

boolean mt_opts::set

have we set opts (in mainw) ?

boolean mt_opts::show_audio

boolean mt_opts::show_ctx

boolean mt_opts::snap_over

snap to overlap

The documentation for this struct was generated from the following file:

- src/multitrack.h